@ ECHO off > \dev\nul
  REM Prints a test ASCII chart on the printer prn:...
  REM Last edit: 2000-10-07 MPAUL
  IF ""=="%1" GOTO help
  IF NOT ""=="%2" GOTO help
  IF NOT EXIST .\necpinw.cpi GOTO error1
  REM IF NOT EXIST \dev\prn: GOTO error2
@ CALL MODE prn: CODEPAGE PREPARE=((%1%) .\necpinw.cpi)
@ CALL MODE prn: CODEPAGE SELECT=%1%
@ CALL MODE prn: > prn:
  COPY asciitbl.lst /B prn:
  GOTO end
  :error1
  ECHO Error: Needs "NECPINW.CPI" to be in the current directory!
  GOTO end
  REM :error2
  REM ECHO Error: Needs the printer to be installed on "PRN:" alias "LPT1:"!
  REM GOTO end
  :help
  ECHO Description: Batchjob to switch a printer connected to PRN:/LPT1:
  ECHO              to the desired Code Page and print a test chart.
  ECHO              Printer Code Page support needs to be installed
  ECHO              using NECPINW.CPI. Refer documentation for details.
  ECHO Syntax:      PRNCHART code-page-id
  ECHO Example:     PRNCHART 860
  GOTO end
  :end
